Savings Orders
Generate trade confirmation
Generate a trade confirmation PDF for a matched savings order
POST
/
savings
/
orders
/
{id}
/
trade-confirmations
/
generate
Generate trade confirmation PDF
curl --request POST \
--url https://{host}/savings/orders/{id}/trade-confirmations/generate \
--header 'Authorization: Bearer <token>' \
--header 'x-user-id: <x-user-id>'import requests
url = "https://{host}/savings/orders/{id}/trade-confirmations/generate"
headers = {
"x-user-id": "<x-user-id>",
"Authorization": "Bearer <token>"
}
response = requests.post(url, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-user-id': '<x-user-id>', Authorization: 'Bearer <token>'}
};
fetch('https://{host}/savings/orders/{id}/trade-confirmations/generate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fileUri": "https://storage.example.com/trade-confirmations/7501d8537fb3fc001234abcd/abc123/wealthyhood-trade-confirmation_12-jul-2024.pdf"
}{
"status": 400,
"error": {
"message": "Trade confirmation can only be generated for matched orders!",
"description": "Operation failed"
},
"responseId": "7c91c5fe-d5a8-4b82-8e3f-5af2e30e43c2"
}{
"status": 401,
"error": {
"message": "User not found"
},
"responseId": "145f2b0d-1d5b-4e91-8d0d-7af0ae9ad13a"
}{
"status": 403,
"error": {
"message": "Portfolio does not belong to user"
},
"responseId": "5e467f79-c62c-4d83-9810-7a0f8529fd76"
}{
"status": 404,
"error": {
"message": "Savings order not found"
},
"responseId": "65c0b1f6-2a48-4c4f-a5aa-9b9c8c6f9b58"
}Authorizations
Auth0-issued access token that includes the scopes listed for the endpoint.
Headers
User identifier for the M2M client to specify which user's data to access.
Pattern:
^[a-f0-9]{24}$Path Parameters
Savings order identifier (MongoDB ObjectId)
Pattern:
^[a-f0-9]{24}$Response
Trade confirmation generated successfully
URL to download the generated trade confirmation PDF
Previous
Get savings product detailsRetrieve comprehensive details about the EUR Money Market Fund savings product.
Next
⌘I
Generate trade confirmation PDF
